import Typography from "@material-ui/core/Typography";
import * as React from "react";
import {Box, Divider, Grid, List, makeStyles} from "@material-ui/core";
import {t, Trans} from "@lingui/macro";

const useStyles = makeStyles((theme) => ({
    keyLabel: {
        marginRight: theme.spacing(1),
        fontWeight: 600
    }
}));

export const DeviceTypeHint: React.FunctionComponent = () => {
    const classes = useStyles();

    const items = [
        {key: 'DNL', text: t`Conveyor Routing start points.`},
        {key: 'BLK', text: t`Block Picking stations.`}
    ]

    return (
        <div>
            <List>
                <Typography>
                    <Trans>Value of the Device Type (DEV) field in the DCS initializer.</Trans>
                </Typography>
                <Box mt={2}>
                    <Grid container justifyContent={'space-between'} alignItems={'center'}>
                        <Grid item><Typography variant={'subtitle1'}>Value Example</Typography></Grid>
                        <Grid item><Typography variant={'subtitle1'}>Purpose Example</Typography></Grid>
                    </Grid>
                </Box>
                {items.map((hint) => {
                    return (
                        <React.Fragment>
                            <Grid container justifyContent={'space-between'} alignItems={'center'}>
                                <Grid item><Typography variant={'subtitle1'} className={classes.keyLabel}>{hint.key}</Typography></Grid>
                                <Grid item><Typography variant={'subtitle2'}>{hint.text}</Typography></Grid>
                            </Grid>
                            <Divider/>
                        </React.Fragment>
                    )
                })}
            </List>
        </div>
    );
};