import Typography from "@material-ui/core/Typography";
import * as React from "react";
import {Box, Divider, Grid, List, makeStyles} from "@material-ui/core";
import {t, Trans} from "@lingui/macro";

const useStyles = makeStyles((theme) => ({
    bold: {
        fontWeight: 600
    }
}));

export const MaxOpenConnectionsHint: React.FunctionComponent = () => {
    const classes = useStyles();

    return (
        <div>
            <Typography>
                <Trans>Specifies the maximum amount of connections that can be queued up. Leave this setting blank for no limit.</Trans>
            </Typography>
            <Box mt={1}>
                <Typography>
                    <Trans>This setting can be used to forcefully close connections that are not timing out.</Trans>
                </Typography>
            </Box>
            <Box mt={2}>
                <Typography variant={'subtitle2'} className={classes.bold}>
                    <Trans>Warning: this will forcefully close all connections when the connection threshold is exceed. This can have undesirable effects on the external system.</Trans>
                </Typography>
            </Box>
        </div>
    );
};