import * as React from "react";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faCheckCircle, faTimesCircle} from "@rx-suite/pro-solid-svg-icons";
import {green, red} from "@material-ui/core/colors";

type StatusIndicatorProps = {
    success: boolean;
}

export const StatusIndicator: React.FunctionComponent<StatusIndicatorProps> = ({success}) => {
    if(success){
        return <FontAwesomeIcon icon={faCheckCircle} color={green[500]}/>
    }else{
        return <FontAwesomeIcon icon={faTimesCircle} color={red[500]}/>
    }
};
