import React from "react";
import {dataStorePermission, RouteDefinition} from "@rx-suite/ui";
import {DcsConfigStore} from "./stores/DcsConfigStore";

import {faNetworkWired} from "@rx-suite/pro-solid-svg-icons";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {SettingStore} from "./stores/SettingStore";
import {Settings} from "@material-ui/icons";
import {SettingForm} from "./pages/settings/SettingForm";
import {DcsConnectionsBreadModel} from "./pages/dcs_connections/DcsConnectionsBreadModel";

export const routes: RouteDefinition[] = [
    {
        label: "DCS Connections",
        to: "/dcs_connections",
        exact: false,
        permission: dataStorePermission(DcsConfigStore),
        Component: DcsConnectionsBreadModel,
        Icon: () => <FontAwesomeIcon icon={faNetworkWired} style={{height: '22px', width: '22px'}}/>
    },
    {
        label: "Settings",
        to: "/settings",
        exact: true,
        permission: dataStorePermission(SettingStore),
        Component: SettingForm,
        Icon: Settings
    }
];
