Rails.application.routes.draw do
  scope :api do
    resources :dcs_configs do
      member do
        get :ping
        get :force_reset
        post :job_call
      end
      collection do
        get :list
      end
    end
    resources :settings, only: [:index, :update]
    resources :dcs_traces, only: [:show, :index]
  end

  mount RxModule::Engine => "/api/rx_module"
  root "/", controller: :index, action: :show, as: :index_show
  match "*path" => "index#show", :via => :all
end
